| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IProperty Class Reference

`#include <GaudiKernel/IProperty.h>`

Inheritance diagram for IProperty:

[legend]
Collaboration diagram for IProperty:

[legend]
List of all members.

## Detailed Description

The IProperty is the basic interface for all components which have properties that can be set or get.

Author:
  Paul Maley

  Pere Mato

Date:
  29/10/98

Definition at line 25 of file IProperty.h.

## Public Member Functions
virtual StatusCode | setProperty (const Property &p)=0
| Set the property by property.
virtual StatusCode | setProperty (const std::string &s)=0
| Set the property by string.
virtual StatusCode | setProperty (const std::string &n, const std::string &v)=0
| Set the property by std::string.
virtual StatusCode | getProperty (Property *p) const =0
| Get the property by property.
virtual const Property & | getProperty (const std::string &name) const =0
| Get the property by name.
virtual StatusCode | getProperty (const std::string &n, std::string &v) const=0
| Get the property by std::string.
virtual const std::vector< Property * > & | getProperties () const=0
| Get list of properties.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IProperty::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 28 of file IProperty.h.

References IID_IProperty.

Referenced by configGenerator::genConfig(), HbookCnv::HFileCnv::initialize(), ApplicationMgr::queryInterface(), Service::queryInterface(), PropertyMgr::queryInterface(), Auditor::queryInterface(), AlgTool::queryInterface(), and Algorithm::queryInterface().

    00028 { return IID_IProperty; }

virtual StatusCode IProperty::setProperty | ( | const Property & | p | ) | `[pure virtual]`

Set the property by property.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, Service, and JobOptionsSvc.

Referenced by ApplicationMgr::finalize(), ApplicationMgr::i_startup(), GaudiPython::PyAlg< ALGORITHM >::PyAlg(), and JobOptionsSvc::setMyProperties().

virtual StatusCode IProperty::setProperty | ( | const std::string & | s | ) | `[pure virtual]`

Set the property by string.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, and Service.

virtual StatusCode IProperty::setProperty | ( | const std::string & | n,
|  | const std::string & | v |
| ) |  |  | `[pure virtual]`

Set the property by std::string.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, and Service.

virtual StatusCode IProperty::getProperty | ( | Property * | p | ) | const`[pure virtual]`

Get the property by property.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, Service, and JobOptionsSvc.

Referenced by Algorithm::Algorithm(), EventLoopMgr::initialize(), EventLoopMgr::reinitialize(), and Service::Service().

virtual const Property& IProperty::getProperty | ( | const std::string & | name | ) | const`[pure virtual]`

Get the property by name.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, and Service.

virtual StatusCode IProperty::getProperty | ( | const std::string & | n,
|  | std::string & | v |
| ) |  |  | const`[pure virtual]`

Get the property by std::string.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, and Service.

virtual const std::vector<Property*>& IProperty::getProperties | ( |  | ) | const`[pure virtual]`

Get list of properties.

Implemented in Algorithm, AlgTool, Auditor, PropertyMgr, and Service.

Referenced by HistorySvc::captureState(), PropertyMgr::declareRemoteProperty(), JobOptionsSvc::fillParserCatalogue(), configGenerator::genConfig(), Gaudi::Utils::getProperty(), and PropertyMgr::property().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IProperty.h